# List subscription payments

Full report with all the subscriptions payments from your Account Id
**Required scope:** <code style="background:#e8f0fe;color:#1a73e8;padding:2px 8px;border-radius:12px;font-size:0.85em">subscription:read</code>

Endpoint: GET /subscription
Version: 2.0
Security: accountId, apiKey

## Query parameters:

  - `page` (number)
    Page Number

  - `records_per_page` (number)
    Limit records per page (Max: 100)

  - `expiration_time` (string)
    Filter by expiration time interval (max 30 days)

  - `method` (string)
    Filter by method

  - `customer` (string)
    Filter by customer key

  - `id` (string)
    Filter by id

  - `key` (string)
    Filter by subscription key

  - `created_at` (string)
    Filter by created datetime interval (max 30 days)

  - `status` (string)
    Filter by Subscription Status

  - `value` (string)
    Filter by Subscription Value

## Response 200 fields (application/json):

  - `data` (array)

  - `data.id` (string)
    Example: 458b2fc4-3092-4de3-abd4-fe1600c09420

  - `data.key` (string)
    Example: payment 02536985

  - `data.expiration_time` (string)
    Example: 2099-01-15 00:00

  - `data.start_time` (string)
    Example: 2027-01-15 00:00

  - `data.frequency` (string)
    Enum: "1D", "1W", "2W", "1M", "2M", "3M", "4M", "6M", "1Y", "2Y", "3Y"

  - `data.retries` (integer)
    Example: 2

  - `data.max_captures` (integer)
    Example: 12

  - `data.failover` (boolean)

  - `data.capture_now` (boolean)

  - `data.unlimited_payments` (boolean)

  - `data.customer` (object)
    Customer information as returned in list responses (may contain masked/partial data for privacy)

  - `data.customer.id` (string)
    Example: c6056234-a3f9-42de-b944-3ed793fcb6bb

  - `data.customer.name` (string)
    Customer name (may be partially masked for privacy)
    Example: Jos*** Gom***

  - `data.customer.email` (string)
    Customer email (may be partially masked for privacy)
    Example: cus***@example.com

  - `data.customer.phone` (string)
    Customer phone (may be partially masked for privacy)
    Example: 911***567

  - `data.customer.phone_indicative` (string)
    Phone country code
    Example: +351

  - `data.customer.fiscal_number` (string)
    Fiscal number (may be partially masked for privacy)
    Example: PT123***89

  - `data.customer.key` (string)
    Customer key
    Example: Key Example

  - `data.customer.language` (string)
    Customer preferred language
    Example: PT

  - `data.method` (object)

  - `data.method.type` (string)
    Enum: "CC", "DD"

  - `data.method.status` (string)
    Enum: "active", "inactive", "waiting"

  - `data.method.url` (string)
    Example: https://cc.easypay.pt/v3/public/card-details/cec55ab6-bda3-4ab3-af22-04d2ad2c046a

  - `data.method.sdd_mandate` (object)
    SDD Mandate information as returned in list responses (contains masked data for privacy)

  - `data.method.sdd_mandate.id` (string)
    Mandate ID
    Example: 50389142122

  - `data.method.sdd_mandate.iban` (string)
    IBAN (partially hidden for data security reasons)
    Example: PT500027**XX7833

  - `data.method.sdd_mandate.key` (string)
    Mandate key
    Example: SDD Mandate key

  - `data.method.sdd_mandate.name` (string)
    Account holder name (partially hidden for data security reasons)
    Example: Fre*** DD***

  - `data.method.sdd_mandate.email` (string)
    Account holder email (partially hidden for data security reasons)
    Example: Cam***@yahoo.com

  - `data.method.sdd_mandate.phone` (string)
    Account holder phone (partially hidden for data security reasons)
    Example: 911***567

  - `data.method.sdd_mandate.account_holder` (string)
    Account holder name (partially hidden for data security reasons)
    Example: Acc*** Exa***

  - `data.method.sdd_mandate.country_code` (string)
    Country code
    Example: PT

  - `data.method.sdd_mandate.max_num_debits` (string)
    Maximum number of debits allowed
    Example: 12

  - `data.method.sdd_mandate.billing_entity` (string)
    Billing entity identifier
    Example: PT16103627

  - `data.currency` (string)
    The currency code in ISO 4217 format (e.g., "EUR" for Euro). This field specifies the type of currency used in financial operation.

  - `data.value` (number)
    Example: 10.55

  - `data.created_at` (string)
    Example: 2025-08-05 13:44:29

  - `meta` (object)
    Metadata object containing pagination and result information for list responses.

  - `meta.page` (object)
    Pagination details
    Example: 1

  - `meta.page.current` (integer)
    Current page number

  - `meta.page.total` (integer)
    Total number of pages

  - `meta.records` (object)
    Record details
    Example: 20

  - `meta.records.per_page` (integer)
    Number of records per page

  - `meta.records.total` (integer)
    Total number of records

  - `meta.links` (object)
    Navigation links for pagination

  - `meta.links.first` (string)
    Link to the first page
    Example: ?page=1

  - `meta.links.prev` (string)
    Link to the previous page

  - `meta.links.next` (string)
    Link to the next page
    Example: ?page=2

  - `meta.links.last` (string)
    Link to the last page
    Example: ?page=826

## Response 403 fields (application/json):

  - `status` (string, required)

  - `message` (array, required)
    An array of human-readable messages included in the response. These messages provide detailed information about the success of the operation or explain the reasons for any failure. This field is always present in the response to ensure clarity and transparency regarding the outcome of the API request.

## Response 429 fields (application/json):

  - `status` (string, required)

  - `message` (array, required)
    An array of human-readable messages included in the response. These messages provide detailed information about the success of the operation or explain the reasons for any failure. This field is always present in the response to ensure clarity and transparency regarding the outcome of the API request.

## Response 500 fields (application/json):

  - `status` (string, required)

  - `message` (array, required)
    An array of human-readable messages included in the response. These messages provide detailed information about the success of the operation or explain the reasons for any failure. This field is always present in the response to ensure clarity and transparency regarding the outcome of the API request.

